<!DOCTYPE flight_plan SYSTEM "../../flight_plan.dtd">

<flight_plan alt="260" ground_alt="185" lat0="43.46223" lon0="1.27289" max_dist_from_home="1500" name="Small1" security_height="25" qfu="1.0">
    <waypoints>
        <waypoint name="HOME" x="0.0" y="0.0"/>
    </waypoints>

    <blocks>

        <block name="Wait GPS" >
            <return />
            <return reset_stage="1" />
            <return reset_stage="0" />
            <return reset_stage="4"/>
        </block>

        <block name="Fly" post_call="nav_fun(1)">
            <return/>
            <while cond="nav_cond(2)">
                <return/>
            </while>
            <!-- <for var="i" from="1" to="5">
                <return/>
            </for> -->
            <attitude roll="14" pre_call="nav_fun(16)" pre_call="nav_fun(15)" until="nav_cond(17)" pitch="auto" height="90" throttle="0.1"/>
            <go wp="HOME" alt="10" pre_call="nav_fun(24)" post_call="nav_fun(25)" until="nav_cond(23)" pitch="10.5"     hmode="route"/>
            <exception cond="FALSE" deroute="Wait GPS" />
        </block>
    </blocks>
</flight_plan>
